
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle 11G的EXPORT导出 / iVAN</title>

    <meta name="description" content="Oracle 11G的EXPORT导出 Oracle 11G在用EXPORT导出时,空表不能导11G R2中有个新特性,当表无数据时,不分配segment,以节省空间 解决方法:insert一行,再rollback就产生segment了.该方法是在在空表中插入数据,再删除,则产生segment.导出时则可导出空表. 设置deferred_segment_creation 参数 ,该参数值默认是TRUE,当改为FALSE时,无论是空表还是非空表,都分配segment.修改SQL语句: alter system set deferred_">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle 11G的EXPORT导出</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Oracle 11G在用EXPORT导出时，空表不能导11G R2中有个新特性，当表无数据时，不分配segment，以节省空间</p>
<p>解决方法：insert一行，再rollback就产生segment了。该方法是在在空表中插入数据，再删除，则产生segment。导出时则可导出空表。</p>
<p>设置deferred_segment_creation 参数 ,该参数值默认是TRUE，当改为FALSE时，无论是空表还是非空表，都分配segment。修改SQL语句：</p>
<p>alter system set deferred_segment_creation=false scope=both;需注意的是：该值设置后对以前导入的空表不产生作用，仍不能导出，只能对后面新增的表产生作用。如需导出之前的空表，只能用第一种方法。可以构建针对空表分配空间的命令语句select 'alter table '||table_name||' allocate extent' from user_tables where num_rows=0;</p>
<p>把查询结果导出，执行导出的语句，强行修改segment值，然后再导出即可导出空表，注意：数据库插入数据前，修改11g_R2参数可以导出空表</p>
<p>查找空表select table_name from user_tables where NUM_ROWS=0;,Oracle 10g以后增加了expdp和impdp工具，用此工具也可以导出空的表</p>
<p>oracle expdp/impdp 用法详解创建逻辑目录，该命令不会在操作系统创建真正的目录，最好以system等管理员创建。</p>
<p>create directory db_bak as 'd:\test\dump';查看管理理员目录（同时查看操作系统是否存在，因为Oracle并不关心该目录是否存在，如果不存在，则出错）select * from dba_directories;</p>
<p>给system用户赋予在指定目录的操作权限，最好以system等管理员赋予。grant read,write on directory db_bak to system;</p>
<p>3.10 REMAP_TABLESPACE 将源表空间的所有对象导入到目标表空间中，我们将dave表空间下的对象导入到bl表空间下。</p>
<p>为了把用户按表空间归类，需要把用户所有的当前数据转移到另一个表空间里，那么可以使用impdp的remap_tablespace参数。下面就这一内容进行实验。</p>
<p>$ expdp 'test5/test3@book' directory=backup dumpfile=tbs.dmp logfile=tbs.log tablespaces=dave</p>
<p>$ impdp 'test5/test3@book' directory=backup dumpfile=user.dmp logfile=user.log remap_tablespace=test1:test3 table_exists_action=replace</p>
<p>3.9 REMAP_SCHEMA 该选项用于将源方案的所有对象装载到目标方案中. 我们导出dave 用户下的表，然后把它导入bl用户下。</p>
<p>【IMPDP】实现不同用户之间的数据迁移——REMAP_SCHEMA参数</p>
<p>$ expdp 'test5/test3@book' directory=backup dumpfile=user.dmp logfile=user.log schemas=dave</p>
<p>$ impdp 'test5/test3@book' directory=backup dumpfile=user.dmp logfile=user.log remap_schema=dave:bl</p>
<p>3.12 TRANSPORT_DATAFILES该选项表示的是表空间的传输。用于指定搬移空间时要被导入到目标数据库的数据文件。</p>
<p>这种方法的操作步骤如下：</p>
<p>(1)将表空间改成read only 状态，然后copy 待传输的表空间的所有数据文件到目标库。 这里可以进行重命名。</p>
<p>(2)按transport 方式导出表空间。注意：这步操作只把metadata，即元数据，只有定义，没有data导入了dump文件。 实际的data 我们在第一步已经copy 过去了。</p>
<p>(3)import 我们的数据。 (4)将表空间改成read write：</p>
<p>元数据（metadata）从我们的dump文件导入，Data Pump将实际的data从我们指定的workers.dat 导入。 这里必须写绝对路劲。我们看个实例：</p>
<p>1.先对表空间Dave 添加一个数据文件：SQL&gt; alter tablespace test4 add datafile 'd:\test44.dbf' size 10m;</p>
<p>2.copy 到其他实例的对应位置,在移动之前先将表空间改成read only 状态：SQL&gt; alter tablespace test4 read only;</p>
<p>本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/database/Oracle/</p>
<p>将表空间下的所有数据文件移动到其他的实例上。可以进行重命令。 我这里是同一个实例。 因为我这里是一个实例。 我将我们刚才添加的数据文件test44.dbf 移动到'e:\test44.dbf'下。 待expdp 完成后，我们将表空间drop掉，在import进来。$ cp d:\test44.dbf e:\test44.dbf 将dave01.dbf 复制成bl03.dbf. 等会删除表空间，不然会被删除掉。</p>
<p>3.expdp 导出元数据:$expdp 'test4/test3@book' directory=backup dumpfile=test4.dmp transport_tablespaces=test4</p>
<p>4.import 数据:先把表空间drop掉在import：SQL&gt; drop tablespace test4 including contents and datafiles;</p>
<p>$ impdp 'test4/test3@book' directory=backup dumpfile=test4.dmp transport_datafiles='d:\test4.dbf', 'e:\test44.dbf'</p>
<p>注意一点：这里transport 的表空间，在另一个实例上是不可以存在的。 不然不能导入。如果文件很多，也可以写入个配置文件里。 导入时通过PARFILE参数来指定。</p>
<p>（5）将表空间改成read write模式：</p>
<p>SQL&gt; alter tablespace test4 read write;</p>
<p>SQL&gt; select tablespace_name,status from dba_tablespaces;</p>
<p>transport_datafiles 注意的几点：</p>
<p>（1）表空间所有的数据文件都要copy到目标库。copy d:\test_test.dbf e:\test_test1.dbf;copy</p>
<p>（2）copy 之间，将表空间改成read only 状态。alter tablespace test_test read only;</p>
<p>（3）copy之后可以对数据文件进行重命名。 所以，transport_datafiles 也可以用来对数据文件进行重命名和移动位置。drop tablespace test_test including contents and datafiles;</p>
<p>（4）transport_datafiles 完成之后，不要忘记将表空间改成读写模式。impdp 'test5/test3@book' directory=backup dumpfile=TEST222.DMP transport_datafiles='d:\test_test.dbf', 'e:\test_test1.dbf';C:\&gt;exp \"sys/ymhas sysdba\" file=d:/tbs.dmp tablespaces=(data_tbs,idx_tbs)transport_tablespace=y tts_full_check=y=&gt;将两个表空间一起导出，不要数据(tablespaces=(data_tbs,idx_tbs)：要导出的表空间；transport_tablespace=y:只导出元数据；tts_full_check=y进行完全自包含检查)</p>
<p>总结错误：(1) ORA-29335: 表空间 'DATA_TBS' 不为只读 ,导出的表空间必须为只读状态，否则出现如下错误(2) ORA-29341: 可传送集不是自包含的 “可传送集不是自包含的”的两种处理方法：</p>
<p>1、将所有的依赖表空间一起传，比如该题中，一个表空间会出现自检错误，两个表空间同时自检则不会。</p>
<p>SQL&gt; Execute sys.dbms_tts.transport_set_check('data_tbs',TRUE,TRUE);</p>
<p>SQL&gt; SELECT * FROM sys.transport_set_violations;</p>
<p>2、讲表空间处理为自包含：比如将索引删除，导到其他数据库后重建索引，或者将索引重建到数据文件的表空间，然后导出一个表空间</p>
<p>注意:当再sys或system用户下创建表时，使用表空间传输也会出现“可传送集不是自包含的”，并且无法两个表空间同时传输，所以最好必要导出sys和system建表使用的表空间，不管是不是自带的system还是新建的表空间。EXP-00008: 遇到 ORACLE 错误 29341,ORA-29341: 可传送集不是自包含的,ORA-06512: 在 "SYS.DBMS_PLUGTS", line 1387</p>
<p>(3) IMP-00053: 导入模式与导出转储文件不兼容 :1、可能是跨平台时存储格式不同导致（未测试）;2、同一平台下，注意导出的参数和导入的参数，因为导出时忘了加transport_tablespace=y ，把数据也改导出，导入时又加入该参数，导致错误：IMP-00053: 导入模式与导出转储文件不兼容,IMP-00000: 未成功终止导入</p>
<p>(4) ORA-27041: 无法打开文件 O/S-Error: (OS2) 系统找不到指定的文件。 (5) ORA-19722: 数据文件D:\oracle\oradata\DATA_TBS版本错误</p>
<p>表空间设置为只读就是为了保证数据的一致性，因此只有讲表空间的数据文件拷贝完成之后才能在源数据库恢复表空间的可读写状态。否则，在目标数据库导入的时候就会出现下列错误：</p>
<p>(6) PLS-00201: 必须声明标识符'DBMS_PLUGTS.NEWTABLESPACE' 使用普通用户或system用户导入时如果出现如下错误，可以使用 'sys/ymh as sysdba'来导入，可以加入参数TTS_OWNERS=scott(TTS_OWNERS未详细测试)(7) OSD-04002: 无法打开文件 O/S-Error: (OS123) 文件名、目录名或卷标语法不正确。 如果有多个数据文件，datafile=XXX,XXX，中间用逗号隔开即可，不要用""号将多个概括，否则出现如下错误</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 01:10:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e7%a9%ba%e9%97%b4/" title="表空间">表空间</a>, <a href="https://www.iamivan.net/tag/test/" title="test">test</a>, <a href="https://www.iamivan.net/tag/directory/" title="directory">directory</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8d%e8%83%bd%e5%af%bc%e5%87%ba%e7%a9%ba%e8%a1%a8/" title="不能导出空表">不能导出空表</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle 11G的EXPORT导出的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3No7Jz.html" rel="bookmark">如何解决Oracle 11G R2 用exp无法导出空表的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle 11G在用EXPORT导出时,空表不能导11G R2中有个新特性,当表无数据时,不分配segment,以节省空间 解决方法: insert一行,再rollback就产生segment了.该方法是在在空表中插入数据,再删除,则产生segment.导出时则可导出空表. 设置deferred_segment_creation 参数 ,该参数值默认是TRUE,当改为FALSE时,无论是空表还是非空表,都分配segment.修改SQL语句: alter system set deferred			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwGx4M.html" rel="bookmark">Oracle 11G R2 用exp无法导出空表解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle 11G在用EXPORT导出时空表不能导出 11G R2中有个新特性当表无数据时不分配segment以节省空间 解决方法 一. insert一行再rollback就产生segment了. 该方法是在在空表中插入数据再删除则产生segment.导出时则可导出 空表. 二. 设置deferred_segment_creation 参数 该参数值默认是TRUE当改为FALSE时无论是空表还是非空表都分配 segment.修改SQL语句 alter system se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2lEjM.html" rel="bookmark">如何在oracle 11g 中导出空表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  如何在oracle 11g 中导出空表 由于oracle 11g的 延迟段创建的新特性,导致在没有数据插入时,oracle是不会分配数据段的,进而导致exp 是不能导出11g数据库的空表的. 当然采用expdp就不存在这个问题了. expdp hr/hr schemas=hr dumpfile=expdp.dmp directory=dbtest conn hr/hr select TABLE_NAME,NUM_ROWS from user_tables; TABLE_NAME NUM_RO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxE8kPp.html" rel="bookmark">oracle 11g导出数据时报ORA 1455错误的处理方法&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于导出的该用户的表可能存在空数据表,那么可能就会出现此其异常. 首先: 查看: SQL&gt;show parameter deferred_segment_creation; 如果为TRUE,则将该参数改为FALSE: 在sqlplus中,执行如下命令: SQL&gt;alter system set deferred_segment_creation=false; 然后: 可以针对数据表.索引.物化视图等手工分配Extent SQL&gt;Select 'alter table '||table_n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32JNgz.html" rel="bookmark">Centos6 下Oracle 11g R2 安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1准备 CentOS-6.5-x86_64-bin-DVD1 linux_11gR2_database_1of2 linux_11gR2_database_2of2 VMware Workstation 10.0.2 SSH Secure Shell Client instantclient_11_2 plsqldev10052安装虚拟机及CentOS (1)安装VMware Workstation (2)安装CentOS,主机命名为:oracledb (3)磁盘需要大于30G(经验值) (4)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqaZXeM.html" rel="bookmark">【OCM】Oracle 11g OCM 考试大纲</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 Oracle 11g OCM 考试大纲 原文地址:Oracle 11g OCM 考试大纲 作者:海星星hktk Oracle Database 11g Certified Master Exam Exam Environment Oracle Linux Release 5.4 (32-bit) Oracle Database 11g Enterprise Edition Release 11.2.0.3.0 (32-bit) Oracle Enterprise Manager 11g Gri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpn1Y2M.html" rel="bookmark">Oracle 11g RAC安装时的INS-30507错误：Empty ASM disk group</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近的Oracle 11g RAC安装碰到了INS-30507错误,也就是在grid安装到创建ASM磁盘组的时候找不到任何候选磁盘,google了N多安装指导也没有找到蛛丝马迹.如果你碰到这个问题,不妨往下瞧. 1.错误信息与解释 SEVERE: [FATAL] [INS-30507] Empty ASM disk group. CAUSE: No disks were selected from a managed ASM disk group. ACTION: Select appropri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jlJZb.html" rel="bookmark">Oracle 11g安装成功后在linux创建chkconfig自启动设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文参照了网上不同版本的资料,然后自己分别在cent0S6.3的x86与x64两个虚拟环境均搭建完成,安装的分别是与系统对应的ORACLE 11Gx86与x64两个版本,基本能满足Oracle服务开机启动需求. 但有几个小问题,能力有限: 1.启动或关闭服务报有此提示,但不影响服务启动,端口能正常打开,ORACLE远程也能连接. [root@orcl ~]# service oracle restart Shutdown Oracle: Environment variable ORACLE_U			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3l7BM.html" rel="bookmark">CentOS下无界面静默安装oracle 11g</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0.下载oracle 11g的2个安装包,上传到服务器,并解压2个包在一个目录下(我的目录是/upload)   1.安装依赖包,如需离线安装,需部署本地源 yum -y install binutils compat-libstdc++-33 elfutils-libelf elfutils-libelf-devel glibc glibc-common glibc-devel gcc- gcc-c++ libaio-devel libaio libgcc libstdc++ libstdc+			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj4W0p.html" rel="bookmark" class="title">友情链接交换的方法和需要注意的问题</a>
					<div>
						大家好,小宝继续谈seo.提起友情链接,大家都不会陌生,友链是外链建设一种必不可少的手段,对于提高百度权重,增加网站曝光率都是很有必要的.无论是新站还是老站,都要涉及到友链.那该如何做友情链接呢?做友 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPRwDb.html" rel="bookmark" class="title">C&num;中如何根据月份来确定每月的最大天数</a>
					<div>
						#region 根据月份来确定每月的最大天数 private int SetDate(string time) { int intYear; int intMonth; int intDay; str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7XJxM.html" rel="bookmark" class="title">Delphi简单数据库应用的创建及MASTAPP介绍</a>
					<div>
						Delphi中嵌入的数据库应用开发工具如Database Form Expert具有很强大的功能,我们不需要编写任何程序代码便可以快速地创建一个简单的数据库应用程序,甚至还能创建基于多个数据库表的主要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y9J3z.html" rel="bookmark" class="title">冒号课堂&sect;2&period;3：对象范式</a>
					<div>
						第二课 重要范式(3) 2.3 对象范式--民主制社会的编程法则 民为贵,社稷次之,君为轻 --&lt;孟子·尽心下&gt; 关键词:编程范式,OOP,面向对象,过程式编程 摘要: OOP简谈 ?提问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKRD4p.html" rel="bookmark" class="title">C&num;中char&lbrack;&rsqb;与string之间的转换</a>
					<div>
						  string 转换成 Char[] string ss = &quot;abcdefg&quot;; char[] cc = ss.ToCharArray(); Char[] 转换成string  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZEy4b.html" rel="bookmark" class="title">PS绘制电影海报场记板</a>
					<div>
						  场记板 步骤1 首先用圆角矩形工具画矩形并填充黑色线性渐变,然后用矩形工具(快捷键M) 添加一个矩形. 步骤2 现在绘制矩形上的条纹.用矩形工具(快捷键M)绘制矩形,直接选择工具(A)移动锚点到正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBq9Dz.html" rel="bookmark" class="title">云-如何将judge服务器分布式呢</a>
					<div>
						问题描述 如何将judge服务器分布式呢 一台数据库服务器,一个web服务器,请问如何整多台judge服务器,提高判题的速度,如何将用户提交的代码发给judge服务器呢?急求,急急急 谢谢					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmQY5z.html" rel="bookmark" class="title">设计模式（八）装饰器模式Decorator（结构型）</a>
					<div>
						1. 概述        若你从事过面向对象开发,实现给一个类或对象增加行为,使用继承机制,这是所有面向对象语言的一个基本特性.如果已经存在的一个类缺少某些方法,或者须要给方法添加更多的功能(魅力), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAyVOM.html" rel="bookmark" class="title">关于monkeyrunner就一直在等设备adb devices也识别到设备了</a>
					<div>
						问题描述 关于monkeyrunner就一直在等设备adb devices也识别到设备了 如图就一直卡在这个命令上了device = MonkeyRunner.waitForConnection(), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQVLWp.html" rel="bookmark" class="title">用PS曲线调整图片的技巧</a>
					<div>
						最终效果图 原图 1.打开原图,按Ctrl+M打开曲线,面板上的通道下拉框,可以看到除了常用的RGB复合通道之外,还有红绿蓝三个单色通道,分别调整这三个单色通道的曲线,会改变图像中红绿蓝三色的比例关系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7Nx4p.html" rel="bookmark" class="title">【整理】Erlang 中的 supervisor</a>
					<div>
						[概况] supervisor behaviour 是用来实现监控其他子进程的 supervisor 进程的模块: 子进程可以是另一个 supervisor 进程,也可以是一个 worker 进程:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydyw8b.html" rel="bookmark" class="title">在 Centos&sol;RHEL 6&period;X 上安装 Wetty</a>
					<div>
						在 Centos/RHEL 6.X 上安装 Wetty Wetty 是什么? Wetty = Web + tty 作为系统管理员,如果你是在 Linux 桌面下,你可以用它像一个 GNOME 终端(或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRKV1b.html" rel="bookmark" class="title">32位-mysql5&period;7&period;11安装问题，哪位大神能帮助</a>
					<div>
						问题描述 mysql5.7.11安装问题,哪位大神能帮助 安装mysql的时候在dos命令里面总是出现不适32位有效,该怎么处理呢 ??? 解决方案 你的版本和端口看一下 解决方案二: 你的电脑是32 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z4nXM.html" rel="bookmark" class="title">java 网页内容抓取-java网页内容抓取问题。</a>
					<div>
						问题描述 java网页内容抓取问题. 这个问题困扰我很久,谁能帮我解答我叫他哥了.问题是这样的,给个网站:http://www.wsdot.wa.gov/ferries/vesselwatch/Ter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYG7Wp.html" rel="bookmark" class="title">中国互联网站发展状况及其安全报告&lpar;2015&rpar;发布</a>
					<div>
						2015年3月20日,中国互联网协会.国家互联网应急中心在京发布&lt;中国互联网站发展状况及其安全报告(2015)&gt;,这是国内针对中国网站发展状况及其安全的顶级.专业.权威研究报告,报告对中国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ArjNz.html" rel="bookmark" class="title">投资客：两个创始人的不同选择</a>
					<div>
						上海有家做新药开发的企业,公司创始人在美国某实验室,做了十六年药物的基础研究,他最大的梦想就是将自己十多年的研究成果变成药物.于是回国创业,五年时间取得惊人的成绩.在美国,如果要做出这样的成果,不仅资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AW4Pz.html" rel="bookmark" class="title">vs2013 文件操作为什么fstream没有绑定这个文件</a>
					<div>
						问题描述 vs2013 文件操作为什么fstream没有绑定这个文件 //#define _CRT_SECURE_NO_DEPRECATE //#include&lt;stdio.h&gt; #inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1217rp.html" rel="bookmark" class="title">RFID助力生产 流程透明和可靠控制</a>
					<div>
						工业4.0的目标是将一个工厂所有的对象通过通信技术实现网络互联.为了实现各个组成部分在生产过程中能自行发挥控制作用,需要相应的技术,如无线射频识别(RFID)和近场通信(NFC)支持(图1). 基于R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJOlmp.html" rel="bookmark" class="title">wpf 如何获取datagridcell 我需要动态改变单元格的背景</a>
					<div>
						问题描述 wpf 如何获取datagridcell 我需要动态改变单元格的背景 根据条件动态改变单元格背景或者字体.已经获取到行,但是调试了很久不知道如何锁定到某个单元格... for (int i  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0n6GM.html" rel="bookmark" class="title">Facebook财报看什么？用户、参与度和货币化</a>
					<div>
						据国外投资网站fool.com报道,Facebook将于1月27日发布2015年第四季度财报,我们需要关注些什么呢?最重要的三项指标是:用户.参与度和货币化. Facebook是去年股市上最大的赢家之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkDYmM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;数据交易&rdquo;，那些吃螃蟹的家伙</a>
					<div>
						&quot;数据市场&quot;.&quot;数据银行&quot;,甚至&quot;数据公约&quot;,大数据时代,围绕数据所有.使用和定价.交易,一直讨论不断,有些也的确富有想象力.关于数据如何跨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv7VJM.html" rel="bookmark" class="title">Visual Studio 2012 的控件属性说明</a>
					<div>
						问题描述 之前这下面的说明是中文的不知道怎么成了英文的了怎么解决啊 解决方案 解决方案二:安装下.netframework的语言包看看解决方案三:你是不是装了sp1?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NVJBb.html" rel="bookmark" class="title">JavaScript事件类型中UI事件详解&lowbar;javascript技巧</a>
					<div>
						&quot;DOM3级事件&quot;规定了一下几类事件 UI事件,当用户与页面上的元素交互时除法: 焦点事件,元素获得或失去焦点: 鼠标事件,通过鼠标在页面上执行操作: 滚轮事件,使用鼠标滚轮或类似 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj85W6p.html" rel="bookmark" class="title">QQ空间人气怎么提高&quest;</a>
					<div>
						方方法一(常用的菜鸟方案) 1.建议您可以成为达人用户后请您多多登录城市达人主页,将会大大增加您被访问到的机率; 2.您可以进入QQ空间社区首页,页面下方有精彩推荐,点&quot;我要推荐&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr51op.html" rel="bookmark" class="title">js弹窗返回值详解&lpar;window&period;open方式&rpar;&lowbar;javascript技巧</a>
					<div>
						test.php 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVPajz.html" rel="bookmark" class="title">老牌IT门户网站Chinabyte改版 充分体现Web2&period;0</a>
					<div>
						2007年3月9日,已有十年历史的IT门户网Chinabyte.com进行大规模改版,新的ChinaByte首页采用国际流行的竖行导航方式.深度文章加导读.新闻.博客.视频.论坛等各类资讯互相整合,充 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NKqrp.html" rel="bookmark" class="title">Larry Page 在法庭上为 Google 辩护</a>
					<div>
						Google母公司Alphabet CEO Larry Page在法庭上作证称,他从来没有考虑为使用Java API获得授权,因为它们都是公开的可以自由使用.甲骨文律师Peter Bicks指出,An ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G4nyp.html" rel="bookmark" class="title">Hadoop数据传输工具sqoop</a>
					<div>
						概述 sqoop是Apache顶级项目,主要用来在Hadoop和关系数据库中传递数据.通过sqoop,我们可以方便的将数据从关系数据库导入到HDFS,或者将数据从HDFS导出到关系数据库.sqoop架 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0OP8p.html" rel="bookmark" class="title">《BeagleBone开发指南》&mdash;&mdash;导读</a>
					<div>
						前言 BeagleBone开发指南BeagleBone是令人称奇的!随着智能手机的广泛使用,每秒执行20亿条指令的手持计算机很容易被认为是理所当然的,但事实上,你可以根据自己的需要来修改这种外形小巧但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ10m0b.html" rel="bookmark" class="title">大数据技术化身催化剂&OpenCurlyDoubleQuote;互联网&plus;交通&rdquo;遍地开花</a>
					<div>
						随着智慧交通的建设,大数据已经成为交通数据平台的重要载体,作为生产要素发挥重要作用.然而,智慧交通中大数据掀起新的生产率提高和消费者盈余浪潮的同时,随之而来的是大数据应用过程中带来的挑战. 近年来,智 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
